####9.2 Exerccio Anlise exploratria simultnea de duas variveis
##Vetores de teste
# x <- rnorm(1000, 8, 3)
# y <- rnorm(1000, 50, 5)

explor <- function(x, y, name.x, name.y)
{
  if(class(x)!="numeric")
  {
    stop("x deve ser numerico")
  }
  if(class(y)!="numeric")
  {
    stop("x deve ser numerico")
  }
  if(length(x)!=length(y))
  {
    stop("x e y devem ter o mesmo comprimento")
  }
  
  x11()
  par(mfrow = c(1,2))
  par(mar=c(4,3,4,2))
  par(tcl= 0.3, bty="l", las= 1, cex.main= 1.5)
  
  df <- data.frame(x, y)
  colnames(df) <- c(name.x, name.y)
  boxplot(df, col= c("gray8", "gray48"), main= "Boxplot")
  
  multhist(x= list(x,y), beside= F, col= c("gray8", "gray48"), main= "Histograma")
  legend("topright", c(name.x, name.y), fill=c("gray8", "gray48"), bty="n")
  
  par(mfrow=c(1,1))

descr.x <- summary(x)
descr.y <- summary(y)
correl <- round(cor(x, y), 2)

lista <- list(Sumrio.x = descr.x, Sumrio.y = descr.y, Correlao= correl)

return(lista)

}

##Testando a funo
#explor(x, y, "Altura (m)", "Peso (kg)")
