#Patrcia Coutinho Mller
#Exerccios 5 - Criao de grficos

#5.1 - Editando alguns parmetros grficos.
getwd()
setwd("C:/Users/Paty/Desktop/R")
saligna<-read.csv("esaligna.csv", header=T, sep=",")
saligna

plot(saligna$ht~saligna$dap)

png("saligna.png")

plot(saligna$ht~saligna$dap, pch=19,col="red", xlab="Dimetro  altura do peito (cm)",
     ylab="Altura (m)",cex=1.4, cex.axis=1.2,cex.lab=1.4,cex.main=1.2, tcl=0.3, las=1, bty="l", main="*Eucalypthus saligna*")

dev.off()


#5.2 - Dois grficos juntos.

par(mfrow = c(1,2), bty="l",las=1, tcl=0.3, cex=1.4,cex.axis=1.2,cex.lab=1.4,cex.main=1.2)

boxplot(saligna$dap~saligna$talhao, xlab="Talho", ylab="DAP(cm)")
text(locator(1), "a", cex=2)

dadostalhao<-as.factor(saligna$talhao)
dadostalhao
dadosdap<-as.numeric(saligna$dap)

media.por.talhao<- tapply(dadosdap, INDEX= dadostalhao, FUN= mean)
media.por.talhao

sd.por.talhao<- tapply(dadosdap, INDEX= dadostalhao, FUN= sd)
sd.por.talhao

media.menos.sd<-media.por.talhao - sd.por.talhao
media.menos.sd

media.mais.sd<-media.por.talhao + sd.por.talhao
media.mais.sd

plot(x=c (16 ,17 ,18, 22, 23, 32),y=media.por.talhao, pch=19,col="red", xlim=c(16,32), ylim=c(5,25),type="p", xlab="Talho", ylab="DAP(cm)") 

axis(side=1, at=c(16,17,18,22,23,32), labels=c("16","17","18","22","23","32"),las=1, tcl=0.3 ) # desenha o eixo

axis(side=2, las=1, tcl=0.3) 

points (x=c (16 ,17 ,18, 22, 23, 32),y=media.menos.sd, pch="-", cex=1.2) #barra do desvio-
points (x= c (16 ,17 ,18, 22, 23, 32),y=media.mais.sd, pch="-", cex=1.2) #barra do desvio+
segments(x0=c(16 ,17,18, 22, 23, 32), y0=media.menos.sd, x1= c(16 ,17 ,18, 22, 23, 32), y1=media.mais.sd) # um segmento
text(locator(1), "b", cex=2)


#5.3 - Adivinhando o cdigo
getwd()
setwd("C:/Users/Paty/Desktop/R")
read.csv("exercicio3.csv", header=T, sep=",")

ex3<- read.csv("exercicio3.csv", header=T, sep=",")


x1<-ex3[,1]
x2<-ex3[,3]

y1<-ex3[,2]
y2<-ex3[,4]

#grfico1

par(mfrow=c(1,2))

plot(x1,y1, xlab = "Log(Patch size)(ha)", ylab= "Euclidean distances", las=0,cex.lab=1.5, pch=17,cex=1.2)

abline(lm(y1~x1),lwd=2)

text(locator(1),"a",cex=2)

#grfico2 

class(x2)
class(y2)
y2

y<-factor(ex3$y2,labels=c("Small","Medium \n Edge","Medium \n Interior","Large \n Edge","Large \n Interior","Control"))

par(tcl=0.3,bty="l",las=0,cex.axis=1.1)
boxplot(x2~y,ylab="", xlab="",ylim=c(0,3), outline=F)

text(x=1 ,y=3 , "*",cex=1.5)
text(x=2 ,y=3 , "*",cex=1.5)
text(x=3 ,y=3 , "**",cex=1.5)
text(x=4 ,y=3 , "*",cex=1.5)
text(x=5 ,y=3 , "***",cex=1.5)


text(locator(1),"b",cex=2)



