####Exerccios 8. Reamostragem e Simulao

####################
####Exerccio 1.####
####################
#1.1. Baixe o arquivo palmadulto.txt e leia os dados no R em um objeto chamado eutad, no esquea de conferir se o objeto de dados foi lido corretamente.
eutad <- read.table("palmadulto.txt", header= T, as.is= T, sep= "\t")
head(eutad)
dim(eutad)

#1.2. Crie o objeto para guardar as distncias entre cada indivduo:
dist= matrix(NA, ncol=102, nrow=102)

#1.3. Calcule a distncia observada entre cada indivduo e guarde o resultados em dist:
for(i in 1:101)
{
    for(j in (i+1):102)
    {
      difx2=(eutad$gx[i]-eutad$gx[j])^2
      dify2=(eutad$gy[i]-eutad$gy[j])^2
      dist[i,j]<-sqrt(difx2 + dify2)
      dist[j,i]<-sqrt(difx2 + dify2)
    }
    
}

head(dist)

#1.4. Verifique o objeto dist e calcule o parmetro chamado de distncia mdia do vizinho mais prximo (MNN):
(nn<-apply(dist, 1, min, na.rm=TRUE))
(mnn<-mean(nn))

#Simulando
#At agora calculamos o valor esperado da distncia mdia do vizinho mais prximo. Os prximos passos, so):
#1.5. Crie um vetor resultado, com 1000 NA's, para guardar os valores de cada simulao.
resultado <- rep(NA, 1000)

#1.6. Guarde o valor observado na primeira posio de resultado;
resultado[1] <- mnn
head(resultado)

#1.7. Crie um ciclo com contador (k) que vai de 2 a 1000;
#1.8. Dentro do ciclo:
#1.8.1. Crie o objetos xsim, um vetor com valores amostrados aleatoriamente de uma distribuio uniforme de 0 a 320 (o tamanho x da parcela), arredondando o valor para uma casa decimal2). Lembre-se de sortear o mesmo quantidade de valores que a populao de palmito observado;
#1.8.2. Faa o mesmo que no passo anterior e guarde no objeto ysim;
#1.8.3. Como no tpico anterior, crie uma matriz para guardar as distncias entre cada valor xy simulados;
#1.8.3. Crie os ciclos para o calculo das distncias como no tpico anterior;
#1.8.4. Guarde o valor da distncia mdia do vizinho mais prximo dos dados simulados na posio k do vetor resultado;
#1.8.5. Feche o ciclo.
for(k in 2:1000){
    xsim <- round(runif(dim(eutad)[1], 0, 320), 1)
    ysim <- round(runif(dim(eutad)[1], 0, 320), 1)
    dist.sim= matrix(NA, ncol=102, nrow=102)
    
    for(i in 1:101){
        
        for(j in (i+1):102){
            
            difxsim= (xsim[i] - xsim[j])^2
            difysim= (ysim[i] - ysim[j])^2
            dist.sim[i,j] <-sqrt(difxsim + difysim)
            dist.sim[j,i] <-sqrt(difxsim + difysim)
            
        }
      
    }
    
resultado[k] <- mean(apply(dist.sim, 1, min, na.rm=TRUE))

}

#1.9. Faa um histograma dos valores simulados e coloque uma linha vermelha vertical na posio do valor observado;
z <- resultado - mean(resultado)
hist(z)
abline(v = z[1], col="red")

#1.10. Calcule a probabilidade de uma distribuio espacial aleatria gerar valores iguais ou mais extremos do que o valor MNN observado.
p.value <- sum(abs(z) >= abs(z[1]))/length(z)
p.value


####################
##Exerccio 2######
####################
mass <- read.table("animais.txt", header= T, as.is= T, sep= ";", dec = ",")
head(mass)
str(mass)

#Removendo as observacoes com valor NA para a variavel brain
mass.na <- mass[!is.na(mass$brain),]

#2.1. Calcule a inclinao da relao log(brain) ~ log(body) 3)
log.br <- log(mass.na$brain)
log.bd <- log(mass.na$body)

beta <- sum((log.bd - mean(log.bd)) * (log.br - mean(log.br)))/(sum((log.bd - mean(log.bd))^2))

#2.2. Crie um vetor para guardar o resultado de simulaes;
results <- rep(NA, 1000)

#2.3. Guarde o valor observado no objeto criado em 2.2;
results[1] <- beta
head(results)

#2.4. Abra um ciclo de 2 a 1000;
#2.5. Desordene o vetor brain e guarde no objeto sim_brain;
#2.6. Calcule a inclinao entre o log(sim_brain) ~ log(body) e guarde no vetor resultado;
#2.7. Feche o ciclo;
for(i in 2:1000){
  sim_brain <- sample(log.br)
  results[i] <- sum((log.bd - mean(log.bd)) * (sim_brain - mean(sim_brain)))/(sum((log.bd - mean(log.bd))^2))
}

#2.8. Faa o histograma dos valores simulados e compare com o valor observado da inclinao da relao;
hist(results)
abline(v = results[1], col="red")

#2.9. Calcule a probabilidade da inclinao observada ter sido gerada por variveis que so independentes;
p.value2 <- sum(abs(results) >= abs(results[1]))/length(results)
p.value2
