#9.2 Exerccio Anlise exploratria simultnea de duas variveis

#Tarefa: Crie uma funo para sada grfica de anlises exploratrias de duas variveis. Essa sada pode ter por exemplo boxplot, histograma, qq norm e y por x. A funo deve permitir a entrada de dois objetos vetores de mesmo tamanho (x e y). Caso os valores de x e y forem desenhados em um mesmo grfico, defina cores diferentes. As legendas devem ser em portugus e a sada (return) deve apresentar o sumrio das duas variveis e o coeficiente de correlao.

#DICAS:
  
 # Para histogramas com variveis em um mesmo grfico pode ser utilizada a funo multhist() do pacote plotrix. Baixe, instale o pacote e veja o help da funo.

#Utilize o cdigo do eda.shape, apresentado em aula como ponto de partida.

#Lembre-se que em algumas funes grficas o argumento add=TRUE, adiciona elementos no grfico anterior.

install.packages("plotrix")

library(plotrix)


exer9_2 <- function(x, y){
  if(class(x) != "numeric" | class(y) != "numeric"){ #controle de fluxo 1
    stop("Por gentileza, insera apenas variveis de classe numrica")} 
  if(length(x) != length(y)){ #controle de fluxo 2
    stop("Por gentileza, insera apenas variveis com n de observaes equivalentes")}
  x11() #janela grfica
  par(mfrow = c(2,2)) #4 grficos
  df <- data.frame(x=x, y=y)
  multhist(xy, main = "Histograma de xy") #histograma
  boxplot(x, y, main="BoxPlot de xy") #box plot
  plot(x ~ y, xlab="x",ylab =" y", 
       pch = 19, main="Distribuio de densidade de xy")
  qqnorm(y, col="blue", main="Grfico Quantil x Quantil de y",
         xlab = "Quantil Terico", ylab = "Quantil da Amostra")
  qqline (y, col = "red")
  par(mfrow=c(1,1)) #retornando janela grfica para 1 grfico
  s_x <- summary(x) #resumo var x
  s_y <- summary(y) #resumo  var y
  corr <- cor(x, y) #correlao
  saida <- list(resumo_x = s_x, resumo_y = s_y, coeficiente_correlacao = corr)
  names(saida) <- c("Resumo de x", "Resumo de y", 
                    "Coeficiente de correlao")
  return( saida)
  
}

#criando elementos para testar
x = round(runif(1000, 1 , 100), 0)
y = round(runif(1000, 1 , 50), 0)

exer9_2 (x, y)

x = round(runif(100, 1 , 100), 0)
y = round(runif(1000, 1 , 50), 0)

exer9_2 (x, y)

x = rep("PAt", 1000)
y = round(runif(1000, 1 , 50), 0)

exer9_2 (x, y)




